package de.unikoblenz.fgbks.base.utils;

import java.io.Serializable;
import java.util.concurrent.TimeUnit;
import java.util.logging.Logger;
import javax.interceptor.AroundInvoke;
import javax.interceptor.Interceptor;
import javax.interceptor.InvocationContext;

@Performance
@Interceptor
public class PerformanceInterceptor implements Serializable {

  @AroundInvoke
  public Object performance(InvocationContext ctx) throws Exception {
    long start = System.nanoTime();
    Object obj = ctx.proceed();
    long end = System.nanoTime();
    long durationInMs = TimeUnit.NANOSECONDS.toMillis(end - start);

    Logger log = Logger.getLogger(ctx.getMethod().getDeclaringClass().getSimpleName());
    log.info(ctx.getMethod().getName() + " - " + durationInMs + " ms");
    return obj;
  }
}
