package de.unikoblenz.fgbks.dmn.beans;

import java.io.IOException;
import java.io.InputStream;
import java.io.Serializable;
import java.util.Objects;
import java.util.logging.Logger;
import javax.annotation.PostConstruct;
import javax.enterprise.context.SessionScoped;
import org.apache.commons.io.IOUtils;
import org.primefaces.model.UploadedFile;

@SessionScoped
public class DmnBean implements Serializable {

  private String dmnXML;

  private static Logger LOGGER = Logger.getLogger(DmnBean.class.getSimpleName());

  @PostConstruct
  void init() {
    dmnXML = "";
  }

  public String getDmnXML() {
    return dmnXML;
  }

  public boolean setDmnAsXmlString(UploadedFile file) {
    try {
      return setDmnAsXmlString(file.getInputstream());
    } catch (IOException e) {
      e.printStackTrace();
      return false;
    }
  }

  public boolean setDmnAsXmlString(InputStream inputStream) {
    try {
      return setDmnAsXmlString(IOUtils.toString(inputStream));
    } catch (IOException e) {
      e.printStackTrace();
      return false;
    }
  }

  public boolean setDmnAsXmlString(String dmnXML) {
    this.dmnXML = Objects.requireNonNull(dmnXML);
    return true;
  }
}
