package de.unikoblenz.fgbks.dmn.beans;

import java.io.Serializable;
import javax.enterprise.context.SessionScoped;
import javax.inject.Inject;
import javax.inject.Named;
import org.primefaces.event.FileUploadEvent;
import org.primefaces.model.UploadedFile;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@Named
@SessionScoped
public class DmnUploadBean implements Serializable {
  private static Logger LOGGER = LoggerFactory.getLogger(DmnUploadBean.class.getSimpleName());

  @Inject DmnBean dmnBean;

  UploadedFile file;

  public UploadedFile getFile() {
    return file;
  }

  public void setFile(UploadedFile file) {
    this.file = file;
  }

  public void fileUploadListener(FileUploadEvent e) {
    setFile(e.getFile());
    dmnBean.setDmnAsXmlString(file);
    LOGGER.info(
        "Uploaded File Name Is :: "
            + getFile().getFileName()
            + " :: Uploaded File Size :: "
            + getFile().getSize());
  }
}
