package de.unikoblenz.fgbks.dmn.beans;

import de.unikoblenz.fgbks.base.wordnet.WordnetService;
import java.util.logging.Logger;
import javax.enterprise.context.ApplicationScoped;
import javax.enterprise.context.Destroyed;
import javax.enterprise.context.Initialized;
import javax.enterprise.event.Observes;
import javax.servlet.ServletContext;

@ApplicationScoped
public class StartupListener {

  private static Logger LOGGER = Logger.getLogger(StartupListener.class.getSimpleName());

  public void init(@Observes @Initialized(ApplicationScoped.class) ServletContext context) {
    // init wordnet
    LOGGER.info("init Wordnet");
    WordnetService.getInstance();
  }

  public void destroy(@Observes @Destroyed(ApplicationScoped.class) ServletContext context) {
    // close wordnet
    LOGGER.info("close wordnet");
    WordnetService.getInstance().close();
  }
}
